Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Panel::PanelSettings Struct Reference

Panel settings. More...

## Public Attributes
int | meterCount
| Number of branch meter channels.
int | panelSize
| Panel size (number of circuit positions)
int | columns
| Display circuit positions in two columns.
LabelingScheme | labelingScheme
| Mapping of physical circuit positions to logical labels.

## Detailed Description

Panel settings.

Definition at line 37 of file Panel.idl.

## Member Data Documentation

## ◆ columns

int pdumodel::Panel::PanelSettings::columns

Display circuit positions in two columns.

Definition at line 40 of file Panel.idl.

## ◆ labelingScheme

LabelingScheme pdumodel::Panel::PanelSettings::labelingScheme

Mapping of physical circuit positions to logical labels.

Definition at line 41 of file Panel.idl.

## ◆ meterCount

int pdumodel::Panel::PanelSettings::meterCount

Number of branch meter channels.

Definition at line 38 of file Panel.idl.

## ◆ panelSize

int pdumodel::Panel::PanelSettings::panelSize

Panel size (number of circuit positions)

Definition at line 39 of file Panel.idl.

The documentation for this struct was generated from the following file:

- Panel.idl